# Interface CAFormatterType

All Known Implementing Classes:
  `CAFormatterPretty`, `CAFormatterRaw`

public interface CAFormatterType
A shell formatter for data.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `formatAuditPage(CAPage<CAAuditEvent> page)`
  Format a page of audit events.
  `void`
  `formatBookmarks(List<CAPreferenceServerBookmark> bookmarks)`
  Format a list of bookmarks.
  `void`
  `formatFile(CAFileType file)`
  Format a file.
  `void`
  `formatFilesPage(CAPage<CAFileType.CAFileWithoutData> files)`
  Format a page of file summaries.
  `void`
  `formatItem(CAItem item)`
  Format an item.
  `void`
  `formatItemsPage(CAPage<CAItemSummary> items)`
  Format a page of item summaries.
  `void`
  `formatLocation(CALocation location)`
  Format a location.
  `void`
  `formatRoles(Set<com.io7m.medrina.api.MRoleName> roles)`
  Format a list of roles.
  `void`
  `formatStock(CAStockOccurrenceType item)`
  Format a stock occurrence.
  `void`
  `formatStockPage(CAPage<CAStockOccurrenceType> page)`
  Format a page of stock occurrences.
  `void`
  `formatStringSet(SortedSet<String> strings)`
  Format a string set.
  `void`
  `formatTypeDeclaration(CATypeRecord type)`
  Format a type declaration.
  `void`
  `formatTypeDeclarationPage(CAPage<CATypeRecordSummary> types)`
  Format a page of types.
  `void`
  `formatTypePackagePage(CAPage<CATypePackageSummary> type)`
  Format a page of type packages.
  `void`
  `formatTypesScalar(Set<CATypeScalarType> types)`
  Format a set of scalar types.
  `void`
  `formatTypesScalarPage(CAPage<CATypeScalarType> types)`
  Format a page of scalar types.
  `void`
  `print(String text)`
  Print text to the output.
  `void`
  `printLine(String text)`
  Print text to the output with a newline.

- ## Method Details

  - ### formatFile

    void formatFile(CAFileType file) throws Exception
    Format a file.
    Parameters:
      `file` - the file
    Throws:
      `Exception` - On errors

  - ### formatFilesPage

    void formatFilesPage(CAPage<CAFileType.CAFileWithoutData> files) throws Exception
    Format a page of file summaries.
    Parameters:
      `files` - The page
    Throws:
      `Exception` - On errors

  - ### formatItem

    void formatItem(CAItem item) throws Exception
    Format an item.
    Parameters:
      `item` - The item
    Throws:
      `Exception` - On errors

  - ### formatItemsPage

    void formatItemsPage(CAPage<CAItemSummary> items) throws Exception
    Format a page of item summaries.
    Parameters:
      `items` - The items
    Throws:
      `Exception` - On errors

  - ### formatBookmarks

    void formatBookmarks(List<CAPreferenceServerBookmark> bookmarks) throws Exception
    Format a list of bookmarks.
    Parameters:
      `bookmarks` - The bookmarks
    Throws:
      `Exception` - On errors

  - ### formatRoles

    void formatRoles(Set<com.io7m.medrina.api.MRoleName> roles) throws Exception
    Format a list of roles.
    Parameters:
      `roles` - The roles
    Throws:
      `Exception` - On errors

  - ### formatTypesScalar

    void formatTypesScalar(Set<CATypeScalarType> types) throws Exception
    Format a set of scalar types.
    Parameters:
      `types` - The types
    Throws:
      `Exception` - On errors

  - ### formatTypesScalarPage

    void formatTypesScalarPage(CAPage<CATypeScalarType> types) throws Exception
    Format a page of scalar types.
    Parameters:
      `types` - The types
    Throws:
      `Exception` - On errors

  - ### formatTypeDeclaration

    void formatTypeDeclaration(CATypeRecord type) throws Exception
    Format a type declaration.
    Parameters:
      `type` - The type
    Throws:
      `Exception` - On errors

  - ### formatTypeDeclarationPage

    void formatTypeDeclarationPage(CAPage<CATypeRecordSummary> types) throws Exception
    Format a page of types.
    Parameters:
      `types` - The types
    Throws:
      `Exception` - On errors

  - ### formatLocation

    void formatLocation(CALocation location) throws Exception
    Format a location.
    Parameters:
      `location` - The location
    Throws:
      `Exception` - On errors

  - ### formatAuditPage

    void formatAuditPage(CAPage<CAAuditEvent> page) throws Exception
    Format a page of audit events.
    Parameters:
      `page` - The page
    Throws:
      `Exception` - On errors

  - ### print

    void print(String text) throws Exception
    Print text to the output.
    Parameters:
      `text` - The text
    Throws:
      `Exception` - On errors

  - ### printLine

    void printLine(String text) throws Exception
    Print text to the output with a newline.
    Parameters:
      `text` - The text
    Throws:
      `Exception` - On errors

  - ### formatTypePackagePage

    void formatTypePackagePage(CAPage<CATypePackageSummary> type) throws Exception
    Format a page of type packages.
    Parameters:
      `type` - The type packages
    Throws:
      `Exception` - On errors

  - ### formatStringSet

    void formatStringSet(SortedSet<String> strings) throws Exception
    Format a string set.
    Parameters:
      `strings` - The strings
    Throws:
      `Exception` - On errors

  - ### formatStockPage

    void formatStockPage(CAPage<CAStockOccurrenceType> page) throws Exception
    Format a page of stock occurrences.
    Parameters:
      `page` - The page
    Throws:
      `Exception` - On errors

  - ### formatStock

    void formatStock(CAStockOccurrenceType item) throws Exception
    Format a stock occurrence.
    Parameters:
      `item` - The item
    Throws:
      `Exception` - On errors